2016-12-09 13:33 GMT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000351OpenFOAM[All Projects] Bugpublic2011-12-23 11:42
Reportersu_junwei 
Assigned Touser4 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000351: Different meaning of maxNonOrtho in snappyhexmesh
DescriptionIn motionSmoother, the maxNonOrtho is represented by angle, however, in meshRefinement::markFacesOnProblemCells, it is represented by is cos(angle).
In snappyHexMeshDict, the maxNonOrtho is given by angle (65 for instance)

in meshRefinementProblemCells.C:537
 
 maxNonOrtho = readScalar(motionDict.lookup("maxNonOrtho"));
should be changed to
 maxNonOrtho = cos(pi*readScalar(motionDict.lookup("maxNonOrtho")/180);

am I correct?
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000868

user4

You are fully right. Fixed in 21x in 011caf1b910bb77ca05402ff52497c13e1b67f4e

Thanks for spotting this.
+Notes

-Issue History
Date Modified Username Field Change
2011-12-07 14:12 su_junwei New Issue
2011-12-23 11:42 user4 Note Added: 0000868
2011-12-23 11:42 user4 Status new => resolved
2011-12-23 11:42 user4 Fixed in Version => 2.1.x
2011-12-23 11:42 user4 Resolution open => fixed
2011-12-23 11:42 user4 Assigned To => user4
+Issue History